var fs = require('fs');

function getMethodPath(filePath) {
    var content = fs.readFileSync(filePath, 'ascii');
    var lines = content.split(/\n|\r/);
    var metaAreaStarted = false;
    var metaAreaFinished = false;
    var lineOfFileMethodPath = 0;
    var methodPath = '';
    for (var i = 0; i < lines.length; i++) {
        var l = lines[i].trim();
        var lineNum = i + 1;
        try {
            if (!l.length) {
                continue;
            }
            if (l.toLowerCase().startsWith("<?php")) {
                l = l.substring(5, l.length - 1).trim();
            }
            if (!metaAreaStarted && l.startsWith("/**")) {
                metaAreaStarted = true;
                l = l.substr(2, l.length - 3).trim();
            }
            if (metaAreaStarted && l.startsWith("*")) {
                if (l.endsWith("*/")) {
                    l = l.substr(0, l.length - 2);
                    metaAreaFinished = true;
                }
                var atIdx = l.indexOf('@');
                if (atIdx > 0) {
                    var value = l.substring(atIdx + 1, l.length).trim();
                    var name = l.substring(1, atIdx).trim();
                                            //console.log(value)

                    switch (name.toLowerCase()) {
                        case "start":
                            if (value.length) {
                                methodPath = value;
                                lineOfFileMethodPath = lineNum;
                            }
                            break;
                    }
                    break;
                }
            }
            if (l.endsWith("*/" || metaAreaFinished)) {
                return '';
            }
        } catch (ex) {
            throw ex;
        }
    }
    return methodPath;
}
exports.getMethodPath = getMethodPath;